Name:           bird
Version:        1.2.5
Release:        1%{?dist}
Summary:        BIRD Internet Routing Daemon

Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://bird.network.cz
Source0:        ftp://bird.network.cz/pub/bird/bird-%{version}.tar.gz
Source1:        bird.init
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  flex bison ncurses-devel readline-devel sed
Requires(post): chkconfig
Requires(preun):chkconfig initscripts

%description
BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
protocols BGP, RIP and OSPF.

This package contains IPv4 version.


%package -n bird6
Summary:        BIRD Internet Routing Daemon
Group:          System Environment/Daemons
Requires(post): chkconfig
Requires(preun):chkconfig initscripts
%description -n bird6
BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
protocols BGP, RIP and OSPF.

This package contains IPv6 version.


%package doc
Summary:        BIRD Internet Routing Daemon
Group:          System Environment/Daemons
%description doc
BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
protocols BGP, RIP and OSPF.

This package contains documentation.


%prep
%setup -q

#Don't strip executables
sed -i 's/\$(INSTALL_PROGRAM) -s/\$(INSTALL_PROGRAM)/' tools/Makefile.in

%build
mkdir ipv6
tar c --exclude ipv6 . | tar x -C ipv6

cd ipv6
%configure --prefix=%{_prefix} \
           --sysconfdir=%{_sysconfdir} \
           --localstatedir=%{_localstatedir} \
           --enable-ipv6
make %{?_smp_mflags}
cd ..

%configure --prefix=%{_prefix} \
           --sysconfdir=%{_sysconfdir} \
           --localstatedir=%{_localstatedir}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

cd ipv6
make install DESTDIR=$RPM_BUILD_ROOT
cd ..

install -d $RPM_BUILD_ROOT%{_initddir}
sed 's/BIRD_PROGNAME/bird/' %SOURCE1 > $RPM_BUILD_ROOT%{_initddir}/bird
sed 's/BIRD_PROGNAME/bird6/' %SOURCE1 > $RPM_BUILD_ROOT%{_initddir}/bird6


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add %{name}


%preun
if [ $1 -eq 0 ] ; then
  /sbin/service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi


%postun
if [ $1 -ge 1 ] ; then
  /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi


%post -n bird6
/sbin/chkconfig --add bird6


%preun -n bird6
if [ $1 -eq 0 ] ; then
  /sbin/service bird6 stop >/dev/null 2>&1
  /sbin/chkconfig --del bird6
fi


%postun -n bird6
if [ $1 -ge 1 ] ; then
  /sbin/service bird6 condrestart >/dev/null 2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc NEWS README TODO
%config(noreplace) %{_sysconfdir}/bird.conf
%attr(755,root,root) %{_initddir}/bird
%{_sbindir}/bird
%{_sbindir}/birdc

%files -n bird6
%defattr(-,root,root,-)
%doc NEWS README TODO
%config(noreplace) %{_sysconfdir}/bird6.conf
%attr(755,root,root) %{_initddir}/bird6
%{_sbindir}/bird6
%{_sbindir}/birdc6

%files doc
%defattr(-,root,root,-)
%doc NEWS README TODO
%doc doc/bird*.html


%changelog
* Mon Oct 11 2010 Jan Görig <jgorig@redhat.com> 1.2.5-1
- New upstream release

* Tue Oct 5 2010 Jan Görig <jgorig@redhat.com> 1.2.4-1
- Initial release
